Skip to content

List tasks

GET
/v1/tasks
curl --request GET \
--url https://api.meridiantrack.com/v1/tasks \
--header 'X-API-Key: <X-API-Key>'
projectId
string

Filter tasks by project ID

List of tasks

Media typeapplication/json
object
items
Array<object>
object
id
string
projectId
string
name
string
timeEstimateMinutes
integer
nullable
billable
boolean
active
boolean
sortOrder
integer
createdAt
string format: date-time
updatedAt
string format: date-time
Examplegenerated
{
"items": [
{
"id": "example",
"projectId": "example",
"name": "example",
"timeEstimateMinutes": 1,
"billable": true,
"active": true,
"sortOrder": 1,
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z"
}
]
}